# Uses of Class
org.apache.avro.hadoop.file.SortedKeyValueFile.Reader.Options

Packages that use SortedKeyValueFile.Reader.Options
Package
Description
org.apache.avro.hadoop.file

## Uses of SortedKeyValueFile.Reader.Options in org.apache.avro.hadoop.file

Methods in org.apache.avro.hadoop.file that return SortedKeyValueFile.Reader.Options
Modifier and Type
Method
Description
`SortedKeyValueFile.Reader.Options`
SortedKeyValueFile.Reader.Options.`withConfiguration(Configuration conf)`
Sets the configuration.
`SortedKeyValueFile.Reader.Options`
SortedKeyValueFile.Reader.Options.`withDataModel(org.apache.avro.generic.GenericData model)`
Set the data model.
`SortedKeyValueFile.Reader.Options`
SortedKeyValueFile.Reader.Options.`withKeySchema(org.apache.avro.Schema keySchema)`
Sets the reader schema for the key.
`SortedKeyValueFile.Reader.Options`
SortedKeyValueFile.Reader.Options.`withPath(Path path)`
Sets the input path.
`SortedKeyValueFile.Reader.Options`
SortedKeyValueFile.Reader.Options.`withValueSchema(org.apache.avro.Schema valueSchema)`
Sets the reader schema for the value.
Constructors in org.apache.avro.hadoop.file with parameters of type SortedKeyValueFile.Reader.Options
Modifier
Constructor
Description
``
`Reader(SortedKeyValueFile.Reader.Options options)`
Constructs a reader.